/*
 Theme Name:   Jannah Child
 Template:     jannah
 Version:      1.0.0
 */
.page-id-104192 .sidebar {
    display: none;
}
.page-id-104192 .content-area {
    width: 100%;
}


 /* Adjust the width of the tags column */
 .tag-column {
     width: 0px!important;
     /* Adjust the width as needed */
 }
    .job-posting-form-container {
        max-width: 800px;
        margin: 0 auto;
        padding: 20px;
        background-color: #f9f9f9;
        border-radius: 8px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    }

    /* Form styles */
    .job-posting-form-container form {
        background-color: #fff;
        padding: 20px;
        border-radius: 8px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }

    /* Input styles */
   .job-posting-form-container input[type=text],
  .job-posting-form-container  input[type=date],
   .job-posting-form-container input[type=number],
   .job-posting-form-container textarea,
    .job-posting-form-container select {
        width: 100%;
        padding: 10px;
        margin: 8px 0;
        box-sizing: border-box;
        border: 1px solid #ccc;
        border-radius: 4px;
        font-size: 16px;
    }

    /* Label styles */
   .job-posting-form-container label {
        font-weight: bold;
    }

    /* Checkbox styles */
   .job-posting-form-container input[type=checkbox] {
        margin-right: 5px;
    }

    /* Button styles */
   .job-posting-form-container input[type=submit] {
        background-color: #f05555;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        font-size: 18px;
    }

   .job-posting-form-container input[type=submit]:hover {
        background-color: #45a049;
    }

    /* Fieldset styles */
   .job-posting-form-container fieldset {
        margin-bottom: 20px;
        border: 1px solid #ccc;
        border-radius: 4px;
        padding: 10px;
    }

   .job-posting-form-container legend {
        font-size: 18px;
        font-weight: bold;
    }

    /* Grid layout */
    .row {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: 10px;
    }

    .col {
        flex: 1;
        margin-right: 10px;
    }

    /* Responsive adjustments */
    @media (max-width: 600px) {
        .col {
            flex: 100%;
            margin-right: 0;
        }
    }

.search-fields {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.search-fields label {
    margin-bottom: 5px;
    font-size: 14px;
    color: #333;
}

.search-fields input[type="text"] {
    padding: 15px;
    border: 2px solid #8E97FD;
    border-radius: 10px;
    background-color: white;
    margin-bottom: 15px;
    font-size: 16px;
    transition: border-color 0.3s;
}

.search-fields input[type="text"]:focus {
    border-color: #3436E7;
}

.search-fields button {
    padding: 15px;
    background-color: #F73B3B;
    color: #ffffff;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
}

.search-fields button:hover {
    background-color: #3436E7;
    transform: scale(1.05);
}

@media (max-width: 768px) {
    .job-search-container {
        margin-left: 0;
        width: 100%;
        padding: 20px;
    }

    .search-fields {
        width: 100%;
    }

    .search-fields label {
        font-size: 12px;
    }

    .search-fields input[type="text"] {
        padding: 12px;
        font-size: 14px;
    }

    .search-fields button {
        padding: 12px;
        font-size: 14px;
    }
    
    .elementor-140187 .elementor-element.elementor-element-6eb08b6>.elementor-widget-container{
        margin:0px !important;
    }
    
    .custom-search-bar #searchform{
    	padding: 25px;
    }
    
    .custom-search-bar #searchform .first-div{
      flex-direction: column;
    }
    .custom-search-bar #searchform .first-div .input-group{
      align-items: normal !important;
      margin-left: 0px !important;
    }
    .custom-search-bar #searchform .first-div .search-input{
       margin-left: 0px !important;
    }
    .custom-search-bar #searchform .first-div #searchsubmit{
      margin-right: 0px !important; 
      margin-left: 0px !important;
    }
    
    .custom-search-bar #searchform .second-div{
      flex-direction: column;
    }
    
    .custom-search-bar #searchform .second-div div{
    	display:flex;
    	margin-left:0px !important;
    	align-items:center;
      width:100% !important;
      margin-top: 0px !important;
    }
}

@media (max-width: 480px) {
    .job-search-container {
        padding: 15px;
    }

    .search-fields label {
        font-size: 12px;
    }

    .search-fields input[type="text"] {
        padding: 10px;
        font-size: 14px;
    }

    .search-fields button {
        padding: 10px;
        font-size: 14px;
    }
    
    .elementor-140187 .elementor-element.elementor-element-6eb08b6>.elementor-widget-container{
        margin:0px !important;
    }
    
    .custom-search-bar #searchform{
    	padding: 25px;
    }

    .custom-search-bar #searchform .first-div{
      flex-direction: column;
    }
    .custom-search-bar #searchform .first-div .input-group{
      align-items: normal !important;
      margin-left: 0px !important;
    }
    .custom-search-bar #searchform .first-div .search-input{
       margin-left: 0px !important;
    }
    .custom-search-bar #searchform .first-div #searchsubmit{
      margin-right: 0px !important; 
      margin-left: 0px !important;
    }
    
    .custom-search-bar #searchform .second-div{
      flex-direction: column;
    }
    
    .custom-search-bar #searchform .second-div div{
    	display:flex;
    	margin-left:0px !important;
    	align-items:center;
      width:100% !important;
      margin-top: 0px !important;
    }
}

        .custom-search-bar form {
            width: 80%;
            margin: 20px auto;
        }

        .form-group {
            margin-bottom: 20px;
        }

        .custom-search-bar label {
            display: inline-block;
          
            font-weight: bold;
            font-size: 16px;
        }

         .custom-search-bar  input[type="submit"] {
            background-color: #f05555;
            color: white;
            padding: 15px 30px;
            border: none;
            border-radius: 8px;
            font-size: 18px;
            cursor: pointer;
        }

        .custom-search-bar input[type="submit"]:hover {
            background-color: #45a049;
        }

     

                    #salary-unit{

height: auto;
                    }
                    
                  .wpforms-field-medium{
                        border-radius: 20px!important;
                    }

    .search-submit{
     display: none!important; 
                    }
   .search-field{
     display: none; 
                    }
                    
                    
                      .same-category-posts {
                                            list-style: none;
                                            padding: 0;
                                            margin: 0;
                                        }
                    
                                        .same-category-post-item {
                                            display: flex;
                                            margin-bottom: 20px;
                                            align-items: center;
                                        }
                    
                                        .same-category-post-item .post-thumbnail {
                                            margin-right: 15px;
                                        }
                    
                                        .same-category-post-item .post-details {
                                            display: block;
                                        }
                    
                                        .same-category-post-item .post-title {
                                            font-size: 1.2em;
                                            margin-bottom: 5px;
                                            color: #333;
                                            text-decoration: none;
                                        }
                    
                                        .same-category-post-item .post-title:hover {
                                            text-decoration: underline;
                                        }
                    
                                        .same-category-post-item .post-meta {
                                            font-size: 0.9em;
                                            color: #666;
                                            margin-top: 5px;
                                        }
                    
                                        .same-category-post-item .post-meta .post-date {
                                            display: block;
                                        }
                    
                                        .same-category-post-item .post-thumbnail img {
                                            width: 80px;
                                            height: 80px;
                                            object-fit: contain;
                                            border-radius: 50%;
                                        }
                                        


.wpforms-form button[type=submit] {
   
}
.wpforms-field-label{
    align-content: center;
}
.wpforms-form button[type=submit]:hover {
    background-color: #022B57 !important;
}
#wpforms-submit-140199{
    
   background-color: #F73B3B!important;
border-radius: 10px;
    border-color: #024488 !important;
    align-content:right!important;
   margin-right: 20px;
    color: #fff !important;
    transition: background 0.3s ease-in-out;
          position: absolute;
    width: 200px;
    left: 121px;
    align-items: center;
}
#wpforms-140199-field_10-container{
    position: relative;
    right: 63px;
    margin-top: 10px
    s:200px; 
}

.wpforms-field-layout-columns.wpforms-field-layout-preset-50-50 {
	display: unset !important;
}

div.wpforms-container .wpforms-form .wpforms-field-layout .wpforms-layout-column-50 {
	width: 100% !important
}

#wpforms-140199-field_10-container {
	right: unset;
}

#wpforms-submit-140199 {
    position: relative !important;
    right: 0;
    left: 0;
    width: 100%;
}

/*.custom-search-bar .fa{
  left: unset !important;
}
.custom-search-bar .fa.fa-search,.custom-search-bar .fa.fa-map-marker-alt{
    left: 15px !important;
}     

.custom-search-bar{
    max-width: 100% !important;
}*/


/* Global text color */
body, p, .post-content {
    color: #333333 !important; /* Darker grey text */
}

/* Headings */
h1, h2, h3, h4, h5, h6 {
    color: #222222 !important; /* Even darker grey for headings */
}

/* Links */
/*.main-content  a {
    color: #0066cc !important;
}

.main-content  a:hover {
    color: #004d99 !important;
}*/


/* PRIORITY 4: Removed global white text override — was triggering Google's
   hidden-text/cloaking spam signal. Scoped to dark footer widgets only. */
.dark-footer-wrapper .widget_text p:not(:last-child),
.dark-footer-wrapper .widget_text p,
.dark-footer-wrapper .text-html p {
    color: #fff !important;
}


@media (max-width: 544px) {
    .page-tiles {
    	display: grid !important;
    	grid-template-columns: repeat(1, 1fr) !important;
    	gap: 10px !important;
    }
    
    .fa.fa-search, .fa.fa-map-marker-alt{
    	top: 50% !important;
    	left: 5px !important;;
    }
      
    .elementor-140187 .elementor-element.elementor-element-191e5c7f img, .elementor-140187 .elementor-element.elementor-element-18ec458f img{
    	width: 100% !important;
    	height: 100% !important;
    }
    .elementor-140187 .elementor-element.elementor-element-672028a6 > .elementor-widget-container{
    	margin:0px !important;
    }
    
    .elementor-element .elementor-element-1757b2de{
    	padding-bottom: 15px !important;
    }
    
    .custom-style {
        display: flex;
        margin-bottom: 20px !important;
        align-items: center !important;
    }
    
    #search-title-section {
      display: none !important;
    }

}

.select2-container .select2-selection--single{
	padding: 4px 0px !important;
    height: 100% !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow{
	top: 6px !important;
}

.select2-container .select2-selection--single .select2-selection__rendered{
	padding-left: 30px !important;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: var(--base-color) !important;
}

.fa.fa-building{
    position: absolute !important;
	z-index: 999 !important;
}

div.wpforms-container-full .wpforms-form .wpforms-field {
    padding: 3px 0 !important;
    clear: both;
}